Package org.silverpeas.components.kmelia.notification

# Class AbstractKmeliaUserNotification<T>

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification<T>

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

Direct Known Subclasses:
  `AbstractKmeliaFolderUserNotification`, `AbstractKmeliaPublicationUserNotification`

public abstract class AbstractKmeliaUserNotification<T> extends org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractKmeliaUserNotification(T resource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getHTMLNodePath(org.silverpeas.core.node.model.NodePK nodePK, String language)`
  Gets the path of the specified node in HTML.
  `protected String`
  `getLocalizationBundlePath()`
  `protected org.silverpeas.core.node.model.NodeDetail`
  `getNodeHeader(org.silverpeas.core.node.model.NodePK pk)`
  `protected org.silverpeas.core.node.service.NodeService`
  `getNodeService()`
  `protected org.silverpeas.core.admin.service.OrganizationController`
  `getOrganisationController()`
  `protected String`
  `getTemplatePath()`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getContributionAccessLinkLabelBundleKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource, performNotificationResource, performTemplateData`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getAction, getBundle, getBundle, getComponentInstanceId, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getSender, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractKmeliaUserNotification

    protected AbstractKmeliaUserNotification(T resource)

- ## Method Details

  - ### getLocalizationBundlePath

    protected String getLocalizationBundlePath()
    Overrides:
      `getLocalizationBundlePath` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getTemplatePath

    protected String getTemplatePath()
    Specified by:
      `getTemplatePath` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>`

  - ### getOrganisationController

    protected org.silverpeas.core.admin.service.OrganizationController getOrganisationController()

  - ### getNodeService

    protected org.silverpeas.core.node.service.NodeService getNodeService()

  - ### getNodeHeader

    protected org.silverpeas.core.node.model.NodeDetail getNodeHeader(org.silverpeas.core.node.model.NodePK pk)

  - ### getHTMLNodePath

    protected String getHTMLNodePath(org.silverpeas.core.node.model.NodePK nodePK, String language)
    Gets the path of the specified node in HTML.
    Parameters:
      `nodePK` - the unique identifier of a node in a Kmelia instance.
    Returns:
      a String like Space1 > SubSpace > Component2 > Topic1 > Topic2